void CreateTempQuestCharacters(ref n)
{

	object chobj;
	ref ch;

	makeref(ch, chobj);

				// Inquisitor
	ch.old.name = "Inquisitor";
	ch.old.lastname = "";
	ch.name = TranslateString("","Inquisitor");
	ch.lastname = "";
	ch.id		= "Inquisitor";
	ch.model = "ANIMISTS1";
	ch.sex = "man";
	ch.sound_type = "priest";
	ch.nation = SPAIN;
	GiveItem2Character(ch, "blade20+2");
	GiveItem2Character(ch, "commonarmor");
	ch.equip.blade = "blade20";
	ch.nodisarm	= 1;				// PB: Disable disarming
	ch.location	= "Muelle_ANIMISTS";
	ch.location.group = "goto";
	ch.location.locator = "goto28";
	ch.Dialog.Filename = "Inquisitor_dialog.c";
	ch.rank 	= 10;
	ch.reputation = "45";
	ch.experience = "0";
//	ch.Ship.Name = "Unexpected"; // KK
//	ch.Ship.Type = "RN_Poseidon"; // PB: To ensure he uses "Cabin1" aka. "Tut_deck"
//	ch.Ship.Stopped = true; // KK
	ch.skill.Leadership = "10";
	ch.skill.Fencing = "10";
	ch.skill.Sailing = "0";
	ch.skill.Accuracy = "0";
	ch.skill.Cannons = "0";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "10";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	ch.perks.list.BasicDefence = true;
	ch.perks.list.AdvancedDefence = true;
	ch.perks.list.SwordplayProfessional = true;
	ch.perks.list.CriticalHit = true;
	Ch.Perks.list.Toughness = true;
	LAi_SetStayType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 120.0, 120.0);
	LAi_NoRebirthEnable(ch);
	ch.questchar = true;//MAXIMUS: identifier for captives
	AddGameCharacter(n, ch);

				// Monkey
	ch.old.name = "Monkey";
	ch.old.lastname = "";
	ch.name = TranslateString("","Monkey");
	ch.lastname = "";
	ch.id		= "Monkey";
	ch.model = "monkey";
	ch.sex = "monkey";
//	ch.ani   = "monkey";
	ch.model.animation = "monkey";
	ch.sound_type = "monkey";
	ch.nation = PIRATE;
	ch.nodisarm	= 1;				// PB: Disable disarming
	ch.location	= "Cuba_Jungle_02";
	ch.location.group = "monsters";
	ch.location.locator = "monster1";
	ch.Dialog.Filename = "Monkey_dialog.c";
	ch.rank 	= 10;
	ch.reputation = "45";
	ch.experience = "0";
	ch.money = "0";
	LAi_SetStayType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 2000.0, 2000.0);
	LAi_NoRebirthEnable(ch);
	ch.questchar = true;//MAXIMUS: identifier for captives
	AddGameCharacter(n, ch);

	ch.old.name = "Taino";
	ch.old.lastname = "Indian";
	ch.name = TranslateString("","Taino");
	ch.lastname = TranslateString("","Indian");
	ch.id		= "Quest_Indian1";
	ch.model	= "Indian3";
	ch.sex = "man";
	ch.location	= "Quest_Arawak_Village";
	ch.location.group = "goto";
	ch.location.locator = "goto45";
	ch.Dialog.Filename = "Enc_Walker.c";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetCitizenType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "QC_CITIZENS");
	ch.greeting = "Gr_isla muelle citizen";
	AddGameCharacter(n, ch);
	
	ch.old.name = "Taino";
	ch.old.lastname = "Indian";
	ch.name = TranslateString("","Taino");
	ch.lastname = TranslateString("","Indian");
	ch.id		= "Quest_Indian2";
	ch.model	= "Indian1_2";
	ch.sex = "man";
	ch.location	= "Quest_Arawak_Village";
	ch.location.group = "goto";
	ch.location.locator = "goto8";
	ch.Dialog.Filename = "Enc_Walker.c";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetCitizenType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "QC_CITIZENS");
	ch.greeting = "Gr_isla muelle citizen";
	AddGameCharacter(n, ch);

	ch.old.name = "Arawak";
	ch.old.lastname = "Indian";
	ch.name = TranslateString("","Arawak");
	ch.lastname = TranslateString("","Indian");
	ch.id		= "Quest_Indian3";
	ch.model	= "Indian_girl1";
	ch.sex = "woman";
	ch.location	= "Quest_Arawak_Village";
	ch.location.group = "goto";
	ch.location.locator = "goto11";
	ch.Dialog.Filename = "Isla Mona Indian_dialog.c";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetCitizenType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "QC_CITIZENS");
	ch.greeting = "Gr_f_officer";
	AddGameCharacter(n, ch);
	
	ch.old.name = "Arawak";
	ch.old.lastname = "Indian";
	ch.name = TranslateString("","Arawak");
	ch.lastname = TranslateString("","Indian");
	ch.id		= "Quest_Indian4";
	ch.model	= "Indian1_2";
	ch.sex = "man";
	ch.location	= "Quest_Arawak_Village";
	ch.location.group = "goto";
	ch.location.locator = "goto37";
	ch.Dialog.Filename = "Isla Mona Indian_dialog.c";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetCitizenType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "QC_CITIZENS");
	ch.greeting = "Gr_isla muelle citizen";
	AddGameCharacter(n, ch);
	
	ch.old.name = "Arawak";
	ch.old.lastname = "Indian";
	ch.name = TranslateString("","Arawak");
	ch.lastname = TranslateString("","Indian");
	ch.id		= "Quest_Indian5";
	ch.model	= "Indian1_3";
	ch.sex = "man";
	ch.location	= "Quest_Arawak_Village";
	ch.location.group = "goto";
	ch.location.locator = "goto8";
	ch.Dialog.Filename = "Isla Mona Indian_dialog.c";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetCitizenType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "QC_CITIZENS");
	ch.greeting = "Gr_isla muelle citizen";
	AddGameCharacter(n, ch);
	
	ch.old.name = "Arawak";
	ch.old.lastname = "Indian";
	ch.name = TranslateString("","Arawak");
	ch.lastname = TranslateString("","Indian");
	ch.id		= "Quest_Indian6";
	ch.model	= "Indian1";
	ch.sex = "man";
	ch.location	= "Quest_Arawak_Village";
	ch.location.group = "goto";
	ch.location.locator = "goto43";
	ch.Dialog.Filename = "Isla Mona Indian_dialog.c";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetCitizenType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "QC_CITIZENS");
	ch.greeting = "Gr_isla muelle citizen";
	AddGameCharacter(n, ch);
	
	ch.old.name = "Arawak";
	ch.old.lastname = "Indian";
	ch.name = TranslateString("","Arawak");
	ch.lastname = TranslateString("","Indian");
	ch.id		= "Quest_Indian7";
	ch.model	= "Indian2";
	ch.sex = "man";
	ch.location	= "Quest_Arawak_Village";
	ch.location.group = "goto";
	ch.location.locator = "goto9";
	ch.Dialog.Filename = "Isla Mona Indian_dialog.c";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetCitizenType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "QC_CITIZENS");
	ch.greeting = "Gr_isla muelle citizen";
	AddGameCharacter(n, ch);
	
	ch.old.name = "Arawak";
	ch.old.lastname = "Chief";
	ch.name = TranslateString("","Arawak");
	ch.lastname = TranslateString("","Chief");
	ch.id		= "Quest_Chief_Indian1";
	ch.model	= "Indian1";
	ch.sex = "man";
	ch.location	= "Quest_Indian_house";
	ch.location.group = "goto";
	ch.location.locator = "goto2";
	ch.Dialog.Filename = "Isla Mona Chief_dialog.c";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetStayType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "QC_CITIZENS");
	ch.greeting = "Gr_isla muelle citizen";
	AddGameCharacter(n, ch);

//	Tavern Keeper	
	ch.old.name = "Ronald";
	ch.old.lastname = "McDonald";
	ch.name = TranslateString("","Ronald");
	ch.lastname = TranslateString("","McDonald");
	ch.id		= "Ronald McDonald";
	ch.model	= "Pirat9";
	ch.sex = "man";
	GiveItem2Character(ch, "blade4");
	ch.equip.blade = "blade4";
	ch.location	= "IslaMona_Tavern";
	ch.location.group = "merchant";
	ch.location.locator = "goto3";
	ch.Dialog.Filename = "Isla Mona_tavern_dialog.c";
	ch.greeting = "Gr_Simon Hanpool";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "0";
	LAi_SetBarmanType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "QC_CITIZENS");
	AddGameCharacter(n, ch);

}