void QuestComplete(string sQuestName)
{
	ref PChar, sld;
// KK -->
	int iPassenger, cidx, iHP, cc, crew_lost, crew_left, n;
	ref officer1, officer2, romance, villain, arrester, crewid;
	int officer1idx, officer2idx, romanceidx, villainidx, arresteridx, crewidx;
	float locx, locy, locz;
	string speaker, homelocation, homegroup, homelocator;
	int canQty = 0;
	int crewQty = 0;
	int survivors = 0;
// <-- KK
	aref arship; // PB

	PChar = GetMainCharacter();

	officer1 = characterFromID("Louwe Louwman");
	officer2 = characterFromID("Giraldo Annibal");
	officer1idx = getCharacterIndex("Louwe Louwman");
	officer2idx = getCharacterIndex("Giraldo Annibal");

	if (checkquestattribute("alignment", "evil"))
	{
		officer1 = characterFromID("Gheerkin Kamalaas");
		officer2 = characterFromID("Morys Badlad");
		officer1idx = getCharacterIndex("Gheerkin Kamalaas");
		officer2idx = getCharacterIndex("Morys Badlad");
	}

	if (PChar.sex == "man")
	{
		romance = characterFromID("Lucia de la Vega");
		romanceidx = getCharacterIndex("Lucia de la Vega");
		villain = characterFromID("Valerian Decaux");
		villainidx = getCharacterIndex("Valerian Decaux");
	}
	else
	{
		romance = characterFromID("Edmundo de la Vega");
		romanceidx = getCharacterIndex("Edmundo de la Vega");
		villain = characterFromID("Valerie Decaux");
		villainidx = getCharacterIndex("Valerie Decaux");
	}	

	switch(sQuestName)
	{
		case "StartAdventure":
			Locations[FindLocation("Havana_prison")].vcskip = true;
			Locations[FindLocation("Havana_prison")].reload.l1.disable = 1;
			Locations[FindLocation("Havana_prison")].locators_radius.reload.reload11 = 3.0;
			Locations[FindLocation("Havana_prison")].locators_radius.reload.reload9 = 2.5;
			Locations[FindLocation("Cuba_Jungle_02")].locators_radius.monsters.monster1 = 2.0;
			DisableFastTravel(true);

			DeleteAttribute(pchar, "Ship");
			pchar.Ship.Type = SHIP_NOTUSED_TYPE_NAME;
			pchar.Ship.Name = "";

//			ChangeCharacterAddressGroup(CharacterFromID("Two Dogs"), "Havana_prison", "goto", "goto8");

			GiveItem2Character(characterfromID("Warden"), "key4");

			GiveItem2Character(characterfromID("Havana Prison Commandant"), "key3");
			GiveItem2Character(characterfromID("Havana Prison Commandant"), "spyglass2");
			GiveItem2Character(characterfromID("Havana Prison Commandant"), "compass2");
			GiveItem2Character(characterfromID("Havana Prison Commandant"), "clock1");
			GiveItem2Character(characterfromID("Havana Prison Commandant"), "SecurityLetter");
/*			TakeItemFromCharacter(characterfromID("Havana Prison Commandant"), FindCharacterItemByGroup(characterfromID("Havana Prison Commandant"), BLADE_ITEM_TYPE));
			GiveItem2Character(characterfromID("Havana Prison Commandant"), "blade47");
			EquipCharacterByItem(characterfromID("Havana Prison Commandant"), "blade47");
			TakeItemFromCharacter(characterfromID("Havana Prison Commandant"), "pistolmket");
			GiveItem2Character(characterfromID("Havana Prison Commandant"), "pistol2");
			EquipCharacterByItem(characterfromID("Havana Prison Commandant"), "pistol2");
   			//JRH ammo mod -->
			if (ENABLE_AMMOMOD) {	// LDH change
				TakenItems(characterfromID("Havana Prison Commandant"), "gunpowder", 1 + rand(2));
				TakenItems(characterfromID("Havana Prison Commandant"), "pistolbullets", 1 + rand(2));
			}
			//JRH ammo mod <-- */

			Pchar.quest.get_monkey.win_condition.l1 = "locator";
			Pchar.quest.get_monkey.win_condition.l1.location = "Cuba_Jungle_02";
			Pchar.quest.get_monkey.win_condition.l1.locator_group = "monsters";
			Pchar.quest.get_monkey.win_condition.l1.locator = "monster1";
			Pchar.quest.get_monkey.win_condition = "get_monkey";

			Pchar.quest.got_Cuba_map.win_condition.l1 = "item";
			PChar.quest.got_Cuba_map.win_condition.l1.character = Pchar.id;
			Pchar.quest.got_Cuba_map.win_condition.l1.item = "mapCuba";
			Pchar.quest.got_Cuba_map.win_condition = "got_Cuba_map";

			DoQuestReloadToLocation("Havana_prison", "goto", "goto24", "In_jail");
//			DoQuestReloadToLocation("IslaMona_port", "officers", "reload3_2", "test");
		break;

		case "get_monkey":
			if (CheckAttribute(PChar, "monkey_follow"))
			{
				DeleteQuestAttribute("monkey_follow");
			}
//			PChar.quest.monkey_follow.over = "no";
			LAi_SetActorType(characterFromID("Monkey"));
			LAi_ActorDialog(characterFromID("Monkey"),PChar,"monkey_follow",5.0,5.0);
		break;

		case "monkey_follow":
			LAi_ActorFollowEverywhere(CharacterFromID("Monkey"), "", 1.0);
			Pchar.quest.monkey_follow.win_condition.l1 = "ExitFromLocation";
			Pchar.quest.monkey_follow.win_condition.l1.character = Pchar.id;
			PChar.quest.monkey_follow.win_condition.l1.location = PChar.location;
			Pchar.quest.monkey_follow.win_condition = "get_monkey";
		break;

		case "In_jail":
			SetQuestHeader("Imprisoned");
			if (PChar.ServedNation == PERSONAL_NATION) AddQuestRecord("Imprisoned", 1);
			else AddQuestRecord("Imprisoned", 2);
			if (!CheckCharacterItem(pchar, "bladeX2")) GiveItem2Character(pchar, "bladeX2");
			EquipCharacterByItem(pchar, "bladeX2");
			LAi_LocationFightDisable(&Locations[FindLocation("Havana_prison")], false);
			LAi_QuestDelay("Still_stuck", 0.0);
			if(GetDifficulty() <= DIFFICULTY_MARINER) logit("HINT: If that warden comes close enough to the bars, you can mug him!");
			Pchar.quest.got_the_key.win_condition.l1 = "item";
			PChar.quest.got_the_key.win_condition.l1.character = Pchar.id;
			Pchar.quest.got_the_key.win_condition.l1.item = "key4";
			Pchar.quest.got_the_key.win_condition = "got_the_key";
		break;

		case "Still_stuck":
			logit("Crew remaining: " + PChar.quest.crew_left);
			LAi_SetActorType(characterFromID("Warden"));
			LAi_ActorGoToLocator(characterfromID("Warden"), "reload", "reload12", "feeding_time", 30.0);
		break;

		case "feeding_time":
			LAi_ActorTurnToCharacter(characterFromID("Warden"), (Pchar));
			if (!CheckAttribute(characterfromID("Warden"), "stuntime"))
			{
				characters[GetCharacterIndex("Warden")].Dialog.Filename = "Warden_dialog.c";
				Characters[GetCharacterIndex("Warden")].dialog.CurrentNode = "feeding";
				LAi_ActorDialog(characterFromID("Warden"),PChar,"",5.0,5.0);
				LAi_QuestDelay("Warden_leaves", 10.0);
			}
		break;

		case "Warden_leaves":
			if (!CheckAttribute(characterfromID("Warden"), "stuntime"))
			{
				LAi_SetActorType(characterFromID("Warden"));
				LAi_ActorGoToLocator(characterfromID("Warden"), "officers", "reload1_2", "next_day", 30.0);
			}
		break;

		case "next_day":
			LAi_Fade("", "");
			WaitDate("", 0, 0, 1, 0, 0);
			crew_lost = rand(5);
			logit(crew_lost + " crew died of maltreatment");
			crew_left = PChar.quest.crew_left;
			crew_left = crew_left - crew_lost;
			if (crew_left < 0) crew_left = 0;
			PChar.quest.crew_left = crew_left;
			if (pchar.CrewStatus.explength > 5)
			{
				PChar.quest.arresterid = "Havana Prison Commandant";
				LAi_QuestDelay("hanging_day", 1.0);
			}
			else LAi_QuestDelay("Still_stuck", 5.0);
		break;

		case "hanging_day":
			RemoveCharacterEquip(pchar, BLADE_ITEM_TYPE);
			RemoveCharacterEquip(pchar, GUN_ITEM_TYPE);
			EnableEquip(pchar, BLADE_ITEM_TYPE, false);
			EnableEquip(pchar, GUN_ITEM_TYPE, false);

			arrester = characterFromID(PChar.quest.arresterid);
			arresteridx = GetCharacterIndex(PChar.quest.arresterid);
			LAi_LocationFightDisable(&Locations[FindLocation("Havana_prison")], true);
			LAi_SetFightMode(PChar, false);
			LAi_SetActorType(characterFromID("Warden"));
			LAi_ActorGoToLocator(characterfromID("Warden"), "officers", "reload1_2", "", 30.0);
			LAi_SetActorType(arrester);
			ChangeCharacterAddressGroup(arrester, "Havana_prison", "officers", "reload1_1");
			LAi_ActorGoToLocator(arrester, "reload", "reload12", "sentenced_to_death", 30.0);
		break;

		case "sentenced_to_death":
			arrester = characterFromID(PChar.quest.arresterid);
			arresteridx = GetCharacterIndex(PChar.quest.arresterid);
			LAi_ActorTurnToCharacter(arrester, (Pchar));
			characters[arresteridx].Dialog.Filename = "commandant_dialog.c";
			Characters[arresteridx].dialog.CurrentNode = "execution";
			LAi_ActorDialog(arrester,PChar,"hung at dawn",5.0,5.0);
		break;

		case "hung at dawn":
			pchar.killed = true;
			PostEvent("LAi_event_GameOver", 0, "s", "mutiny");
		break;

		case "got_the_key":
			ChangeCharacterAddressGroup(PChar, "Havana_prison", "reload", "reload12");
			ChangeCharacterAddressGroup(characterfromID("Havana Prison Commandant"), "Havana_prison", "officers", "reload1_1");
			LAi_SetGuardianType(characterFromID("Havana Prison Commandant"));
			if (!LAi_IsDead(characterFromID("Warden")))
			{
				LAi_SetStunnedTypeNoGroup(characterFromID("Warden"));
				ChangeCharacterAddressGroup(characterFromID("Warden"), "Havana_prison", "goto", "goto24");
			}
			if(GetDifficulty() <= DIFFICULTY_MARINER) logit("HINT: You aren't well armed and your officers aren't armed at all. Take all the help you can get!");

			Pchar.quest.release_officer1.win_condition.l1 = "locator";
			Pchar.quest.release_officer1.win_condition.l1.location = "Havana_prison";
			Pchar.quest.release_officer1.win_condition.l1.locator_group = "reload";
			Pchar.quest.release_officer1.win_condition.l1.locator = "reload11";
			Pchar.quest.release_officer1.win_condition = "release_officer1";

			Pchar.quest.release_officer2.win_condition.l1 = "locator";
			Pchar.quest.release_officer2.win_condition.l1.location = "Havana_prison";
			Pchar.quest.release_officer2.win_condition.l1.locator_group = "reload";
			Pchar.quest.release_officer2.win_condition.l1.locator = "reload10";
			Pchar.quest.release_officer2.win_condition = "release_officer2";

			Pchar.quest.release_two_dogs.win_condition.l1 = "locator";
			Pchar.quest.release_two_dogs.win_condition.l1.location = "Havana_prison";
			Pchar.quest.release_two_dogs.win_condition.l1.locator_group = "reload";
			Pchar.quest.release_two_dogs.win_condition.l1.locator = "reload9";
			Pchar.quest.release_two_dogs.win_condition = "release_two_dogs";

			Pchar.quest.fight_commandant.win_condition.l1 = "locator";
			Pchar.quest.fight_commandant.win_condition.l1.location = "Havana_prison";
			Pchar.quest.fight_commandant.win_condition.l1.locator_group = "merchant";
			Pchar.quest.fight_commandant.win_condition.l1.locator = "reload13";
			Pchar.quest.fight_commandant.win_condition = "fight_commandant";

			Pchar.quest.got_the_big_key.win_condition.l1 = "item";
			PChar.quest.got_the_big_key.win_condition.l1.character = Pchar.id;
			Pchar.quest.got_the_big_key.win_condition.l1.item = "key3";
			Pchar.quest.got_the_big_key.win_condition = "got_the_big_key";

			Pchar.quest.got_the_security_letter.win_condition.l1 = "item";
			PChar.quest.got_the_security_letter.win_condition.l1.character = Pchar.id;
			Pchar.quest.got_the_security_letter.win_condition.l1.item = "SecurityLetter";
			Pchar.quest.got_the_security_letter.win_condition = "got_the_security_letter";
		break;

		case "release_officer1":
			LAi_SetActorType(officer1);
			characters[officer1idx].Dialog.Filename = "officer1_dialog.c";
			Characters[officer1idx].dialog.CurrentNode = "you_escaped";
			LAi_ActorDialogNow(officer1,PChar,"release_officer1_2",2.0);
		break;

		case "release_officer1_2":
			ChangeCharacterAddressGroup(officer1, "Havana_prison", "reload", "reload11");
			SetOfficersIndex(Pchar, 1, officer1idx);
			SetCharacterRemovable(officer1, false);
			GiveItem2Character(officer1, "bladeX4");
			officer1.equip.blade = "bladeX4";
			SetQuestHeader("Crew Rescue");
			AddQuestRecord("Crew Rescue", 1);
		break;

		case "release_officer2":
			ChangeCharacterAddressGroup(officer2, "Havana_prison", "reload", "reload10");
			SetOfficersIndex(Pchar, 2, officer2idx);
			SetCharacterRemovable(officer2, false);
			GiveItem2Character(officer2, "bladeX4");
			officer2.equip.blade = "bladeX4";
		break;

		case "release_two_dogs":
			LAi_group_SetRelation("SPAIN_SOLDIERS", LAI_GROUP_PLAYER, LAI_GROUP_ENEMY);
			LAi_group_FightGroups("SPAIN_SOLDIERS", LAI_GROUP_PLAYER, true);
			LAi_group_SetCheck("SPAIN_SOLDIERS", "guards_dead");

			LAi_SetActorType(characterFromID("Two Dogs"));
			characters[GetCharacterIndex("Two Dogs")].Dialog.Filename = "Two Dogs_dialog.c";
			Characters[GetCharacterIndex("Two Dogs")].dialog.CurrentNode = "meet_two_dogs";
			LAi_ActorDialogNow(characterFromID("Two Dogs"),PChar,"",2.0);
		break;

		case "release_two_dogs_2":
			ChangeCharacterAddressGroup(characterfromID("Two Dogs"), "Havana_prison", "reload", "reload9");
			SetOfficersIndex(Pchar, 3, GetCharacterIndex("Two Dogs"));
			SetCharacterRemovable(characterFromID("Two Dogs"), false);
			sld = characterfromID("Two Dogs");
			GiveItem2Character(sld, "Guestsknife");
			EquipCharacterByItem(sld, "Guestsknife");
			LAi_SetImmortal(characterFromID("Two Dogs"), true);
			AddQuestRecord("Crew Rescue", 2);
		break;

		case "guards_dead":
			PChar.quest.escaped.win_condition.l1 = "location";
			PChar.quest.escaped.win_condition.l1.character = PChar.id;
			Pchar.quest.escaped.win_condition.l1.location = "Havana_town_05";
			Pchar.quest.escaped.win_condition = "escaped";
		break;

		case "fight_commandant":
			LAi_SetActorType(characterFromID("Havana Prison Commandant"));
			LAi_ActorAttack(characterfromID("Havana Prison Commandant"), PChar, "");
		break;

		case "got_the_big_key":
			Locations[FindLocation("Havana_prison")].reload.l1.disable = 0;
			AddQuestRecord("Imprisoned", 3);
		break;

		case "got_the_security_letter":
			SetQuestHeader("Payroll Ship");
			AddQuestRecord("Payroll Ship", 1);
			PChar.quest.payroll_ship = "active";
			PChar.quest.payroll_ship_timer1.win_condition.l1 = "Timer";
			PChar.quest.payroll_ship_timer1.win_condition.l1.date.day = GetAddingDataDay(0, 0, 14);
			PChar.quest.payroll_ship_timer1.win_condition.l1.date.month = GetAddingDataMonth(0, 0, 14);
			PChar.quest.payroll_ship_timer1.win_condition.l1.date.year = GetAddingDataYear(0, 0, 14);
			PChar.quest.payroll_ship_timer1.win_condition = "payroll_ship_sails";
		break;

		case "escaped":
			Locations[FindLocation("Havana_town_05")].reload.l4.disable = 1;
			AddQuestRecord("Imprisoned", 4);
			CloseQuestHeader("Imprisoned");
			if(AUTO_SKILL_SYSTEM)
			{
				AddPartyExpChar(pchar, "Leadership", 1500);
				AddPartyExpChar(pchar, "Sneak", 50);
			}
			else {AddPartyExp(pchar, 1500);}
			LAi_SetImmortal(characterFromID("Two Dogs"), false);

			if (PChar.quest.alignment == "good" && !LAi_IsDead(characterFromID("Warden")) && isofficer(officer2))
			{
				LAi_SetActorType(officer2);
				characters[officer2idx].Dialog.Filename = "officer2_dialog.c";
				Characters[officer2idx].dialog.CurrentNode = "Nice guy";
				LAi_ActorDialog(officer2,PChar,"escaped2",0.0,0.0);
				ChangeCharacterReputation(pchar, 8);
			}
			if (PChar.quest.alignment == "evil" && LAi_IsDead(characterFromID("Warden")) && isofficer(officer2))
			{
				LAi_SetActorType(officer2);
				characters[officer2idx].Dialog.Filename = "officer2_dialog.c";
				Characters[officer2idx].dialog.CurrentNode = "Nasty guy";
				LAi_ActorDialog(officer2,PChar,"escaped2",0.0,0.0);
				ChangeCharacterReputation(pchar, -5);
			}
			ChangeCharacterAddress(characterFromID("Havana Prison Commandant"), "None", "");
			ChangeCharacterAddress(characterFromID("Spanish_guard1"), "None", "");
			ChangeCharacterAddress(characterFromID("Spanish_guard2"), "None", "");
			ChangeCharacterAddress(characterFromID("Spanish_guard3"), "None", "");
			if (!LAi_IsDead(characterFromID("Warden")))
			{
				LAi_SetCitizenTypeNoGroup(characterFromID("Warden"));
				ChangeCharacterAddressGroup(characterFromID("Warden"), "Havana_prison", "goto", "goto23");
			}

			PChar.quest.left_Havana.win_condition.l1 = "location";
			PChar.quest.left_Havana.win_condition.l1.location = "Havana_Outskirts";
			PChar.quest.left_Havana.win_condition = "left_Havana";

			PChar.quest.port_bad.win_condition.l1 = "location";
			PChar.quest.port_bad.win_condition.l1.location = "Cuba_port";
			PChar.quest.port_bad.win_condition = "port_bad";

			ChangeCharacterAddressGroup(characterfromID("Spanish_Captain1"), "Cuba_port", "goto", "goto_2");
			ChangeCharacterAddressGroup(characterfromID("Spanish_guard1"), "Cuba_port", "officers", "Door_1_1");
			ChangeCharacterAddressGroup(characterfromID("Spanish_guard2"), "Cuba_port", "officers", "Door_1_2");
			ChangeCharacterAddressGroup(characterfromID("Spanish_guard3"), "Cuba_port", "officers", "Door_1_3");

			LAi_QuestDelay("Pursuers", 0.0);
		break;

		case "escaped2":
			if (isofficer(officer2)) LAi_SetOfficerType(officer2);
		break;

		case "Pursuers":
			PChar.quest.pursuers = "counting";
			Pchar.quest.pursuit_new_location.win_condition.l1 = "ExitFromLocation";
			PChar.quest.pursuit_new_location.win_condition.l1.location = PChar.location;
			Pchar.quest.pursuit_new_location.win_condition = "pursuit_new_location";
			LAi_QuestDelay("Pursuers2", 5.0);
			
		break;

		case "pursuit_new_location":
			switch(PChar.quest.pursuers)
			{
				case "counting":
					PChar.quest.pursuers = "cancel";
				break;

				case "active":
					PChar.quest.pursuers = "idle";
					LAi_QuestDelay("Pursuers", 0.0);
				break;

				case "idle":
					LAi_QuestDelay("Pursuers", 0.0);
//					PChar.quest.pursuers = "counting";
				break;

				case "cancel":
					PChar.quest.pursuers = "idle";
					LAi_QuestDelay("Pursuers", 0.0);
				break;

				Pchar.quest.pursuit_new_location.over = "no";
			}
		break;

		case "Pursuers2":
			if (PChar.quest.pursuers != "cancel")
			{
				Rapid_Raid("soldiers", "None", 5, SPAIN, "enemy", "friend", "Run! They're after you!", "Search party", 2, 1, 55, 75, 4, 6, 0, 80, 1, 20);
				PChar.quest.pursuers = "active";
				LAi_group_SetRelation("SPAIN_SOLDIERS", LAI_GROUP_PLAYER, LAI_GROUP_ENEMY);
				LAi_group_FightGroups("SPAIN_SOLDIERS", LAI_GROUP_PLAYER, true);
			}
		break;

		case "left_Havana":
			PChar.quest.pursuers = "cancel";
			PChar.quest.pursuit_new_location.over = "yes";
			if (isofficer(characterFromID("Two Dogs")))
			{
				LAi_SetActorType(characterFromID("Two Dogs"));
				characters[GetCharacterIndex("Two Dogs")].name = TranslateString("","Two Dogs");
				characters[GetCharacterIndex("Two Dogs")].lastname = TranslateString("","Fighting");
				characters[GetCharacterIndex("Two Dogs")].Dialog.Filename = "Two Dogs_dialog.c";
				Characters[GetCharacterIndex("Two Dogs")].dialog.CurrentNode = "introduction";
				LAi_ActorDialogNow(characterFromID("Two Dogs"),PChar,"",2.0); // Dialog exits to "new_deal_with_Two_Dogs" or "get_lost_Two_Dogs"
			}
			PChar.quest.slave_camp.win_condition.l1 = "location";
			PChar.quest.slave_camp.win_condition.l1.character = PChar.id;
			Pchar.quest.slave_camp.win_condition.l1.location = "Smugglers_Fort";
			Pchar.quest.slave_camp.win_condition = "slave_camp";
		break;

		case "port_bad":
			Locations[FindLocation("Cuba_port")].reload.l1.disable = 1;
			PChar.quest.pursuers = "cancel";
			PChar.quest.pursuit_new_location.over = "yes";

			LAi_SetActorType(characterFromID("Spanish_Captain1"));
			characters[GetCharacterIndex("Spanish_Captain1")].Dialog.Filename = "Spanish_Captain1_dialog.c";
			Characters[GetCharacterIndex("Spanish_Captain1")].Dialog.CurrentNode = "caught_in_port";
			LAi_ActorDialog(characterfromID("Spanish_Captain1"), pchar, "", 5.0, 5.0); // Dialog exits to "port_fight" or "back_to_prison"
		break;

		case "port_fight":
			LAi_SetImmortal(characterFromID("Two Dogs"), false);
			LAi_group_MoveCharacter(characterfromID("Spanish_Captain1"), "SPAIN_SOLDIERS");
			LAi_group_MoveCharacter(characterfromID("Spanish_guard1"), "SPAIN_SOLDIERS");
			LAi_group_MoveCharacter(characterfromID("Spanish_guard2"), "SPAIN_SOLDIERS");
			LAi_group_MoveCharacter(characterfromID("Spanish_guard3"), "SPAIN_SOLDIERS");
			LAi_group_SetRelation("SPAIN_SOLDIERS", LAI_GROUP_PLAYER, LAI_GROUP_ENEMY);
			LAi_group_FightGroups("SPAIN_SOLDIERS", LAI_GROUP_PLAYER, true);
			LAi_group_SetCheck("SPAIN_SOLDIERS", "port_fight_won");
		break;

		case "port_fight_won":
			Locations[FindLocation("Cuba_port")].reload.l1.disable = 0;
		break;

		case "back_to_prison":
			PChar.quest.arresterid = "Spanish_Captain1";
			ChangeCharacterAddressGroup(characterfromID("Spanish_Captain1"), "Havana_prison", "officers", "reload1_1");
			ChangeCharacterAddressGroup(characterfromID("Spanish_guard1"), "Havana_prison", "goto", "goto14");
			ChangeCharacterAddressGroup(characterfromID("Spanish_guard2"), "Havana_prison", "goto", "goto16");
			ChangeCharacterAddressGroup(characterfromID("Spanish_guard3"), "Havana_prison", "goto", "goto17");
			LAi_SetGuardianType(characterfromID("Spanish_guard1"));
			LAi_SetGuardianType(characterfromID("Spanish_guard2"));
			LAi_SetGuardianType(characterfromID("Spanish_guard3"));

			TakeItemFromCharacter(Pchar, "key3");
			TakeItemFromCharacter(Pchar, "key4");
			RemoveCharacterEquip(PChar, "pistolmket");
			RemoveCharacterEquip(PChar, "pistolmketB");
			TakeItemFromCharacter(Pchar, "pistolmket");
			TakeItemFromCharacter(Pchar, "pistolmketB");
			if (!CheckCharacterItem(pchar, "pistolrock")) GiveItem2Character(pchar, "pistolrock");
			EquipCharacterByItem(pchar, "bladeX4");
			EquipCharacterByItem(pchar, "pistolrock");
			PChar.quest.got_the_key.over = "no";
			PChar.quest.got_the_big_key.over = "no";
			if (!LAi_IsDead(characterFromID("Warden")))
			{
				LAi_SetCitizenTypeNoGroup(characterFromID("Warden"));
				ChangeCharacterAddressGroup(characterFromID("Warden"), "Havana_prison", "goto", "goto23");
			}
			DoQuestReloadToLocation("Havana_prison", "goto", "goto24", "hanging_day");
		break;

		case "get_lost_Two_Dogs":
			SetCharacterRemovable(characterFromID("Two Dogs"), true);
			RemoveOfficersIndex(pchar, GetCharacterIndex("Two Dogs"));
			RemovePassenger(pchar, characterFromID("Two Dogs"));
			LAi_SetCitizenTypeNoGroup(characterFromID("Two Dogs"));
			ChangeCharacterAddress(characterFromID("Two Dogs"), "None", "");
		break;

		case "new_deal_with_Two_Dogs":
			SetQuestHeader("Take Two Dogs Home");
			AddQuestRecord("Take Two Dogs Home", 1);
			AddQuestRecord("Crew Rescue", 3);
			pchar.quest.take_two_dogs_home = "yes";

			PChar.quest.two_dogs_dead.win_condition.l1 = "NPC_Death";
			PChar.quest.two_dogs_dead.win_condition.l1.character = "Two Dogs";
			PChar.quest.two_dogs_dead.win_condition = "two_dogs_dead";

			pchar.quest.Cuba_Jungle_01.win_condition.l1 = "location";
			PChar.quest.Cuba_Jungle_01.win_condition.l1.character = PChar.id;
			pchar.quest.Cuba_Jungle_01.win_condition.l1.location = "Cuba_Jungle_01";
			pchar.quest.Cuba_Jungle_01.win_condition = "Cuba_Jungle_01";

			pchar.quest.two_dogs_is_home.win_condition.l1 = "location";
			PChar.quest.two_dogs_is_home.win_condition.l1.character = PChar.id;
			pchar.quest.two_dogs_is_home.win_condition.l1.location = "Quest_Indian_house";
			pchar.quest.two_dogs_is_home.win_condition = "two_dogs_is_home";

			LAi_ActorGoToLocator(characterFromID("Two Dogs"), "reload", "reload1_back", "",80.0);
		break;

		case "two_dogs_dead":
			AddQuestRecord("Take Two Dogs Home", 2);
			CloseQuestHeader("Take Two Dogs Home");
			DeleteQuestAttribute("take_two_dogs_home");
		break;

		case "Cuba_Jungle_01":
			Locations[FindLocation("Cuba_Jungle_01")].reload.l5.disable = 1;
			if (isofficer(characterFromID("Two Dogs")))
			{
				pchar.quest.Cuba_Jungle_02.win_condition.l1 = "location";
				PChar.quest.Cuba_Jungle_02.win_condition.l1.character = PChar.id;
				pchar.quest.Cuba_Jungle_02.win_condition.l1.location = "Cuba_Jungle_02";
				pchar.quest.Cuba_Jungle_02.win_condition = "Cuba_Jungle_02";
				LAi_SetActorType(characterFromID("Two Dogs"));
				LAi_ActorGoToLocator(characterFromID("Two Dogs"), "reload", "reload1_back", "",60.0);
			}
		break;

		case "Cuba_Jungle_02":
			Locations[FindLocation("Cuba_Jungle_01")].reload.l5.disable = 0;
			Locations[FindLocation("Cuba_Jungle_02")].reload.l5.disable = 1;
			if (isofficer(characterFromID("Two Dogs")))
			{
				pchar.quest.Cuba_Jungle_03.win_condition.l1 = "location";
				PChar.quest.Cuba_Jungle_03.win_condition.l1.character = PChar.id;
				pchar.quest.Cuba_Jungle_03.win_condition.l1.location = "Cuba_Jungle_03";
				pchar.quest.Cuba_Jungle_03.win_condition = "Cuba_Jungle_03";
				LAi_SetActorType(characterFromID("Two Dogs"));
				LAi_ActorGoToLocator(characterFromID("Two Dogs"), "reload", "reload2_back", "",65.0);
			}
		break;

		case "Cuba_Jungle_03":
			Locations[FindLocation("Smugglers_Fort")].locators_radius.goto.goto19 = 5.0;
			Locations[FindLocation("Cuba_Jungle_02")].reload.l5.disable = 0;
			Locations[FindLocation("Cuba_Jungle_03")].reload.l2.disable = 1;
			if (isofficer(characterFromID("Two Dogs")))
			{
				LAi_SetActorType(characterFromID("Two Dogs"));
				LAi_ActorGoToLocator(characterFromID("Two Dogs"), "reload", "reload1_back", "",65.0);
			}
		break;

		case "slave_camp":
			Locations[FindLocation("Smugglers_Fort")].reload.l5.disable = 1;
			Locations[FindLocation("Cuba_Jungle_03")].reload.l2.disable = 0;
			LAi_SetFightMode(PChar, false);
			LAi_LocationFightDisable(&Locations[FindLocation("Smugglers_Fort")], true);
			if (isofficer(characterFromID("Two Dogs")))
			{
				LAi_SetOfficerType(characterFromID("Two Dogs"));
				characters[GetCharacterindex("Two Dogs")].nodisarm = 1;
			}
			sld = LAi_CreateFantomCharacter(false, 0, true, true, 0.25, Nations[SPAIN].fantomModel.m6, "goto", "goto7");
			TakeItemFromCharacter(sld, CheckCharacterEquipByGroup(sld, BLADE_ITEM_TYPE));
			GiveItem2Character(sld, "blade4");
			EquipCharacterByItem(sld, "blade4");
			LAi_group_MoveCharacter(sld, "SPAIN_SOLDIERS");
			sld.id = "soldier1";
			sld = LAi_CreateFantomCharacter(false, 0, true, true, 0.25, Nations[SPAIN].fantomModel.m3, "goto", "goto15");
			TakeItemFromCharacter(sld, CheckCharacterEquipByGroup(sld, BLADE_ITEM_TYPE));
			GiveItem2Character(sld, "blade4");
			EquipCharacterByItem(sld, "blade4");
			LAi_group_MoveCharacter(sld, "SPAIN_SOLDIERS");
			sld.id = "soldier2";
			sld = LAi_CreateFantomCharacter(false, 0, true, true, 0.25, Nations[SPAIN].fantomModel.m2, "goto", "goto23");
			TakeItemFromCharacter(sld, CheckCharacterEquipByGroup(sld, BLADE_ITEM_TYPE));
			GiveItem2Character(sld, "blade4");
			EquipCharacterByItem(sld, "blade4");
			LAi_group_MoveCharacter(sld, "SPAIN_SOLDIERS");
			sld.id = "soldier3";
			sld = LAi_CreateFantomCharacter(false, 0, true, true, 0.25, Nations[SPAIN].fantomModel.m5, "goto", "goto33");
			TakeItemFromCharacter(sld, CheckCharacterEquipByGroup(sld, BLADE_ITEM_TYPE));
			GiveItem2Character(sld, "blade4");
			EquipCharacterByItem(sld, "blade4");
			LAi_group_MoveCharacter(sld, "SPAIN_SOLDIERS");
			sld.id = "soldier4";
			Pchar.quest.meet_slave_commandant.win_condition.l1 = "locator";
			Pchar.quest.meet_slave_commandant.win_condition.l1.location = "Smugglers_Fort";
			Pchar.quest.meet_slave_commandant.win_condition.l1.locator_group = "goto";
			Pchar.quest.meet_slave_commandant.win_condition.l1.locator = "goto19";
			Pchar.quest.meet_slave_commandant.win_condition = "meet_slave_commandant";
		break;

		case "meet_slave_commandant":
			LAi_SetActorType(characterFromID("Slave Camp Commandant"));
			characters[GetCharacterIndex("Slave Camp Commandant")].Dialog.Filename = "Slave_Commandant_dialog.c";
			Characters[GetCharacterIndex("Slave Camp Commandant")].Dialog.CurrentNode = "Intruder";
			LAi_ActorDialog(characterfromID("Slave Camp Commandant"), pchar, "slave_camp_battle", 5.0, 5.0);
			LAi_group_MoveCharacter(characterfromID("Slave Camp Commandant"), "SPAIN_SOLDIERS");
		break;

		case "slave_camp_battle":
			LAi_LocationFightDisable(&Locations[FindLocation("Smugglers_Fort")], false);
			LAi_group_SetRelation("SPAIN_SOLDIERS", LAI_GROUP_PLAYER, LAI_GROUP_ENEMY);
			LAi_group_FightGroups("SPAIN_SOLDIERS", LAI_GROUP_PLAYER, true);
			LAi_group_SetCheck("SPAIN_SOLDIERS", "slave_camp_fight_won");
			LAi_QuestDelay("crew_join_in", 2.0);
		break;

		case "crew_join_in":
			if (!LAi_IsDead(characterFromID("Ralph Partridge")) && !LAi_IsDead(characterFromID("soldier1")))
			{
				LAi_SetActorType(characterFromID("Ralph Partridge"));
				LAi_ActorAttack(characterFromID("Ralph Partridge"), characterFromID("soldier1"), "");
			}
			if (!LAi_IsDead(characterFromID("Coper Blumberger")) && !LAi_IsDead(characterFromID("soldier2")))
			{
				LAi_SetActorType(characterFromID("Coper Blumberger"));
				LAi_ActorAttack(characterFromID("Coper Blumberger"),characterFromID("soldier2"), "");
			}
			if (!LAi_IsDead(characterFromID("Amtnio Guajira")) && !LAi_IsDead(characterFromID("soldier3")))
			{
				LAi_SetActorType(characterFromID("Amtnio Guajira"));
				LAi_ActorAttack(characterFromID("Amtnio Guajira"),characterFromID("soldier3"), "");
			}
			if (!LAi_IsDead(characterFromID("Ayol Bacha")) && !LAi_IsDead(characterFromID("soldier4")))
			{
				LAi_SetActorType(characterFromID("Ayol Bacha"));
				LAi_ActorAttack(characterFromID("Ayol Bacha"),characterFromID("soldier4"), "");
			}
		break; 

		case "slave_camp_fight_won":
			LAi_SetFightMode(PChar, false);
			LAi_LocationFightDisable(&Locations[FindLocation("Smugglers_Fort")], true);
			PlaySound("VOICE\ENGLISH\Dut_m_a_030.wav");
			survivors = 0;
			if (!LAi_IsDead(characterFromID("Ayol Bacha")))
			{
				survivors = survivors + 1;
				crewid = characterFromID("Ayol Bacha");
				crewidx = GetCharacterIndex("Ayol Bacha");
			}
			if (!LAi_IsDead(characterFromID("Amtnio Guajira")))
			{
				survivors = survivors + 1;
				crewid = characterFromID("Amtnio Guajira");
				crewidx = GetCharacterIndex("Amtnio Guajira");
			}
			if (!LAi_IsDead(characterFromID("Coper Blumberger")))
			{
				survivors = survivors + 1;
				crewid = characterFromID("Coper Blumberger");
				crewidx = GetCharacterIndex("Coper Blumberger");
			}
			if (!LAi_IsDead(characterFromID("Ralph Partridge")))
			{
				survivors = survivors + 1;
				crewid = characterFromID("Ralph Partridge");
				crewidx = GetCharacterIndex("Ralph Partridge");
			}

			crew_lost = 4 - survivors;
			crew_left = PChar.quest.crew_left;
			crew_left = crew_left - crew_lost;
			if (crew_left < 0) crew_left = 0; // Shouldn't be possible! Take no chances anyway.
			PChar.quest.crew_left = crew_left;
			logit(crew_lost + " crew died in the battle");
			logit("Crew remaining: " + PChar.quest.crew_left);

			if (survivors > 0)
			{
				LAi_SetActorType(crewid);
				characters[crewidx].Dialog.Filename = "crew_dialog.c";
				Characters[crewidx].Dialog.CurrentNode = "Rescued";
				LAi_ActorDialog(crewid, pchar, "move_out", 5.0, 5.0);
			}
			else LAi_QuestDelay("move_out", 0.0);
		break;

		case "move_out":
			Locations[FindLocation("Smugglers_Fort")].reload.l5.disable = 0;
			PChar.quest.port_bad.over = "yes";
			LAi_LocationFightDisable(&Locations[FindLocation("Smugglers_Fort")], false);
			ChangeCharacterAddress(characterFromID("Spanish_Captain1"), "None", "");
			ChangeCharacterAddress(characterFromID("Spanish_guard1"), "None", "");
			ChangeCharacterAddress(characterFromID("Spanish_guard2"), "None", "");
			ChangeCharacterAddress(characterFromID("Spanish_guard3"), "None", "");
			if (PChar.sex == "man")
			{
				logit("I'm taking one of the soldier's uniforms. A disguise might be useful later.");
//				GiveModel2Player("soldier_spa6_17", false);
				GiveModel2Player("Ardent_S", false);
			}
			if (!LAi_IsDead(characterFromID("Ayol Bacha")))
			{
				LAi_SetActorType(characterFromID("Ayol Bacha"));
				LAi_ActorFollowEverywhere(CharacterFromID("Ayol Bacha"), "", 1.0);
			}
			if (!LAi_IsDead(characterFromID("Amtnio Guajira")))
			{
				LAi_SetActorType(characterFromID("Amtnio Guajira"));
				LAi_ActorFollowEverywhere(CharacterFromID("Amtnio Guajira"), "", 1.0);
			}
			if (!LAi_IsDead(characterFromID("Coper Blumberger")))
			{
				LAi_SetActorType(characterFromID("Coper Blumberger"));
				LAi_ActorFollowEverywhere(CharacterFromID("Coper Blumberger"), "", 1.0);
			}
			if (!LAi_IsDead(characterFromID("Ralph Partridge")))
			{
				LAi_SetActorType(characterFromID("Ralph Partridge"));
				LAi_ActorFollowEverywhere(CharacterFromID("Ralph Partridge"), "", 1.0);
			}
			pchar.quest.back_to_jungle.win_condition.l1 = "location";
			PChar.quest.back_to_jungle.win_condition.l1.character = PChar.id;
			pchar.quest.back_to_jungle.win_condition.l1.location = "Cuba_Jungle_03";
			pchar.quest.back_to_jungle.win_condition = "back_to_jungle";

			PChar.quest.back_in_town.win_condition.l1 = "location";
			PChar.quest.back_in_town.win_condition.l1.character = PChar.id;
			Pchar.quest.back_in_town.win_condition.l1.location = "Havana_town_05";
			Pchar.quest.back_in_town.win_condition = "back_in_town";
		break;

		case "back_to_jungle":
			if (LAi_IsDead(characterFromID("Ralph Partridge"))) ChangeCharacterAddress(characterFromID("Ralph Partridge"), "None", "");
			if (LAi_IsDead(characterFromID("Coper Blumberger"))) ChangeCharacterAddress(characterFromID("Coper Blumberger"), "None", "");
			if (LAi_IsDead(characterFromID("Amtnio Guajira"))) ChangeCharacterAddress(characterFromID("Amtnio Guajira"), "None", "");
			if (LAi_IsDead(characterFromID("Ayol Bacha"))) ChangeCharacterAddress(characterFromID("Ayol Bacha"), "None", "");
			ChangeCharacterAddress(characterFromID("Slave Camp Commandant"), "None", "");
			if (isofficer(characterFromID("Two Dogs")))
			{
				LAi_SetActorType(characterFromID("Two Dogs"));
				characters[GetCharacterIndex("Two Dogs")].Dialog.Filename = "Two Dogs_dialog.c";
				Characters[GetCharacterIndex("Two Dogs")].dialog.CurrentNode = "job_done";
				LAi_ActorDialogNow(characterFromID("Two Dogs"),PChar,"",2.0); // Dialog exits to "take_Two_Dogs_home" or "two_dogs_betrayed"
			}
		break;

		case "take_Two_Dogs_home":
			AddQuestRecord("Take Two Dogs Home", 4);
			LAi_SetOfficerType(characterFromID("Two Dogs"));
			characters[GetCharacterindex("Two Dogs")].nodisarm = 0;
		break;

		case "two_dogs_betrayed":
			AddQuestRecord("Take Two Dogs Home", 3);
			CloseQuestHeader("Take Two Dogs Home");
			SetCharacterRemovable(characterFromID("Two Dogs"), true);
			RemoveOfficersIndex(pchar, GetCharacterIndex("Two Dogs"));
			RemovePassenger(pchar, characterFromID("Two Dogs"));
			LAi_SetActorType(characterFromID("Two Dogs"));
			LAi_ActorAttack(characterfromID("Two Dogs"), PChar, "");
		break;

		case "back_in_town":
			AddQuestRecord("Crew Rescue", 4);
			CloseQuestHeader("Crew Rescue");
			if(AUTO_SKILL_SYSTEM)
			{
				AddPartyExpChar(pchar, "Leadership", 1500);
				AddPartyExpChar(pchar, "Fencing", 50);
			}
			else {AddPartyExp(pchar, 1500);}

			speaker = "";
			if (!LAi_IsDead(characterFromID("Ayol Bacha"))) speaker= "Ayol Bacha";
			if (!LAi_IsDead(characterFromID("Amtnio Guajira"))) speaker= "Amtnio Guajira";
			if (!LAi_IsDead(characterFromID("Coper Blumberger"))) speaker= "Coper Blumberger";
			if (!LAi_IsDead(characterFromID("Ralph Partridge"))) speaker= "Ralph Partridge";
			if (!LAi_IsDead(officer2)) speaker= characters[officer2idx].id;
			if (!LAi_IsDead(officer1)) speaker= characters[officer1idx].id;
			if (speaker != "")
			{
				crewid = characterFromID(speaker);
				crewidx = GetCharacterIndex(speaker);
				LAi_SetActorType(crewid);
				characters[crewidx].Dialog.Filename = "crew_dialog.c";
				Characters[crewidx].Dialog.CurrentNode = "back_in_havana";
				LAi_ActorDialog(crewid, pchar, "back_in_town2", 5.0, 5.0);
			}
			if (checkquestattribute("payroll_ship", "active"))
			{
				if (PChar.sex == "man") AddQuestRecord("Payroll Ship", 2);
				else AddQuestRecord("Payroll Ship", 3);
			}
		break;

		case "back_in_town2":
			if (!LAi_IsDead(officer1))
			{
				SetCharacterRemovable(officer1, true);
				LAi_SetActorType(officer1);
				LAi_ActorGoToLocator(officer1, "officers", "reload_4_1_1", "officers_leave",65.0);
			}
			if (!LAi_IsDead(officer2))
			{
				SetCharacterRemovable(officer2, true);
				LAi_SetActorType(officer2);
				LAi_ActorGoToLocator(officer2, "reload", "reload_4_1_back", "",65.0);
			}
			if (isofficer(characterFromID("Two Dogs")))
			{
				SetCharacterRemovable(characterFromID("Two Dogs"), true);
				LAi_SetActorType(characterFromID("Two Dogs"));
				LAi_ActorGoToLocator(characterFromID("Two Dogs"), "reload", "reload_4_1_back", "",65.0);
			}
			if (!LAi_IsDead(characterFromID("Ralph Partridge")))
			{
				LAi_SetCitizenTypeNoGroup(characterFromID("Ralph Partridge"));
				LAi_SetActorType(characterFromID("Ralph Partridge"));
				LAi_ActorGoToLocator(characterFromID("Ralph Partridge"), "reload", "reload_4_1_back", "",65.0);
			}
			if (!LAi_IsDead(characterFromID("Coper Blumberger")))
			{
				LAi_SetActorType(characterFromID("Coper Blumberger"));
				LAi_ActorGoToLocator(characterFromID("Coper Blumberger"), "reload", "reload_4_1_back", "",65.0);
			}
			if (!LAi_IsDead(characterFromID("Amtnio Guajira")))
			{
				LAi_SetActorType(characterFromID("Amtnio Guajira"));
				LAi_ActorGoToLocator(characterFromID("Amtnio Guajira"), "reload", "reload_4_1_back", "",65.0);
			}
			if (!LAi_IsDead(characterFromID("Ayol Bacha")))
			{
				LAi_SetActorType(characterFromID("Ayol Bacha"));
				LAi_ActorGoToLocator(characterFromID("Ayol Bacha"), "reload", "reload_4_1_back", "",65.0);
			}
			Pchar.quest.i_leave.win_condition.l1 = "ExitFromLocation";
			PChar.quest.i_leave.win_condition.l1.location = PChar.location;
			Pchar.quest.i_leave.win_condition = "i_leave";

			Pchar.quest.tavern_for_payroll.win_condition.l1 = "location";
			Pchar.quest.tavern_for_payroll.win_condition.l1.location = "Havana_tavern";
			Pchar.quest.tavern_for_payroll.win_condition = "tavern_for_payroll";

			PChar.quest.port_good.win_condition.l1 = "location";
			PChar.quest.port_good.win_condition.l1.location = "Cuba_port";
			PChar.quest.port_good.win_condition = "port_good";

			Pchar.quest.fight_commandant.win_condition.l1 = "locator";
			Pchar.quest.fight_commandant.win_condition.l1.location = "Havana_town_01";
			Pchar.quest.fight_commandant.win_condition.l1.locator_group = "reload";
			Pchar.quest.fight_commandant.win_condition.l1.locator = "reload_from_port";
			Pchar.quest.fight_commandant.win_condition = "port_gate";
		break;

		case "i_leave":
			LAi_QuestDelay("officers_leave", 0.0);
		break;

		case "officers_leave":
			if(GetOfficersIndex(Pchar, 1) != -1)
			{
				ChangeCharacterAddressGroup(characters[GetOfficersIndex(Pchar, 1)], "Cuba_port", "officers", "reload_2_city_1");
			}
			if(GetOfficersIndex(Pchar, 2) != -1)
			{
				ChangeCharacterAddressGroup(characters[GetOfficersIndex(Pchar, 2)], "Cuba_port", "officers", "reload_2_city_2");
			}
			if(GetOfficersIndex(Pchar, 3) != -1)
			{
				ChangeCharacterAddressGroup(characters[GetOfficersIndex(Pchar, 3)], "Cuba_port", "officers", "reload_2_city_3");
			}
			ChangeCharacterAddress(characterFromID("Ralph Partridge"), "None", "");
			ChangeCharacterAddress(characterFromID("Coper Blumberger"), "None", "");
			ChangeCharacterAddress(characterFromID("Amtnio Guajira"), "None", "");
			ChangeCharacterAddress(characterFromID("Ayol Bacha"), "None", "");
			StoreOfficers(PChar.id);
		break;

		case "tavern_for_payroll":
			PChar.quest.payroll_ship_known = "no";
			characters[GetCharacterIndex("Spanish_Captain2")].Dialog.Filename = "Spanish_Captain2_dialog.c";
			if (PChar.sex == "man") Characters[GetCharacterIndex("Spanish_Captain2")].dialog.CurrentNode = "soldier";
			if (PChar.sex == "woman") Characters[GetCharacterIndex("Spanish_Captain2")].dialog.CurrentNode = "senorita";
		break;

		case "tavern_for_payroll2":
			if (PChar.quest.payroll_ship_known == "no") LAi_QuestDelay("tavern_for_payroll", 0.0);
			else
			{
				if (!checkquestattribute("payroll_ship", "active"))
				{
					SetQuestHeader("Payroll Ship");
					PChar.quest.payroll_ship_timer1.win_condition.l1 = "Timer";
					PChar.quest.payroll_ship_timer1.win_condition.l1.date.day = GetAddingDataDay(0, 0, 14);
					PChar.quest.payroll_ship_timer1.win_condition.l1.date.month = GetAddingDataMonth(0, 0, 14);
					PChar.quest.payroll_ship_timer1.win_condition.l1.date.year = GetAddingDataYear(0, 0, 14);
					PChar.quest.payroll_ship_timer1.win_condition = "payroll_ship_sails";
				}
				AddQuestRecord("Payroll Ship", 4);
			}
		break;

		case "port_gate":
			RestoreOfficers(PChar.id);
			GiveShip2Character(PChar,"TartaneWar","Esme",CANNON_TYPE_NONECANNON,SPAIN,false,false);
			AddCharacterGoods(PChar, GOOD_RUM, 2);
			AddCharacterGoods(PChar, GOOD_WHEAT, 3);
			AddCharacterGoods(PChar, GOOD_SAILCLOTH, 3);
			AddCharacterGoods(PChar, GOOD_PLANKS, 6);
			SetCrewQuantity(PChar, sti(PChar.quest.crew_left));
			setCharacterShipLocation(Pchar, "Cuba_port");
		break;

		case "port_good":
			speaker = Get_Speaker();
/*			speaker = "";
			if(GetOfficersIndex(Pchar, 3) != -1)
			{
				speaker = characters[GetOfficersIndex(Pchar, 3)].id;
				LAi_SetOfficerType(characters[GetOfficersIndex(Pchar, 3)]);
			}
			if(GetOfficersIndex(Pchar, 2) != -1)
			{
				speaker = characters[GetOfficersIndex(Pchar, 2)].id;
				LAi_SetOfficerType(characters[GetOfficersIndex(Pchar, 2)]);
			}
			if(GetOfficersIndex(Pchar, 1) != -1)
			{
				speaker = characters[GetOfficersIndex(Pchar, 1)].id;
				LAi_SetOfficerType(characters[GetOfficersIndex(Pchar, 1)]);
			} */
			if (speaker != "")
			{
				crewid = characterFromID(speaker);
				crewidx = GetCharacterIndex(speaker);
				LAi_SetActorType(crewid);
				characters[crewidx].Dialog.Filename = "crew_dialog.c";
				Characters[crewidx].Dialog.CurrentNode = "got_a_ship";
				LAi_ActorDialog(crewid, pchar, "got_a_ship", 5.0, 5.0);
			}
			else LAi_QuestDelay("got_a_ship", 0.0);
		break;

		case "got_a_ship":
			if(GetOfficersIndex(Pchar, 3) != -1)
			{
				LAi_SetOfficerType(CharacterFromId(characters[GetOfficersIndex(Pchar, 3)].id));
			}
			if(GetOfficersIndex(Pchar, 2) != -1)
			{
				LAi_SetOfficerType(CharacterFromId(characters[GetOfficersIndex(Pchar, 2)].id));
			}
			if(GetOfficersIndex(Pchar, 1) != -1)
			{
				LAi_SetOfficerType(CharacterFromId(characters[GetOfficersIndex(Pchar, 1)].id));
			}
			HoistFlag(SPAIN);
			PChar.quest.arrival_Santiago_port.win_condition.l1 = "location";
			PChar.quest.arrival_Santiago_port.win_condition.l1.location = "Santiago_port";
			PChar.quest.arrival_Santiago_port.win_condition = "arrival_Santiago_port";
		break;

		case "arrival_Santiago_port":
			characters[GetCharacterIndex("Pedro Fructoso")].Dialog.Filename = "Pedro Fructoso_dialog.c";
			Characters[GetCharacterIndex("Pedro Fructoso")].dialog.currentnode = "free_drink";
			GiveItem2Character(characterFromID("Jose Zugarro"),"mapCuba");
			iForceDetectionFalseFlag = -1; // False flags never detected so storekeeper Zugarro never refuses to serve you
			Pchar.dialog.CurrentNode = "nothing_in_Santiago";
			LAi_SetActorType(PChar);
			LAi_ActorSelfDialog(PChar, "nothing_in_Santiago");

			PChar.quest.in_store.win_condition.l1 = "location";
			PChar.quest.in_store.win_condition.l1.location = "Santiago_store";
			PChar.quest.in_store.win_condition = "in_store";
		break;

		case "in_store":
			PChar.quest.out_of_store.win_condition.l1 = "location";
			PChar.quest.out_of_store.win_condition.l1.location = "Santiago_town_01";
			PChar.quest.out_of_store.win_condition = "out_of_store";
		break;

		case "out_of_store":
			if (!CheckCharacterItem(PChar, "mapCuba"))
			{
				Pchar.dialog.CurrentNode = "rob_store";
				LAi_SetActorType(PChar);
				LAi_ActorSelfDialog(PChar, "rob_store");
			}
		break;

		case "rob_store":
			LAi_SetPlayerType(PChar);
			Pchar.quest.board_brig.win_condition.l1 = "locator";
			Pchar.quest.board_brig.win_condition.l1.location = "Santiago_town_01";
			Pchar.quest.board_brig.win_condition.l1.locator_group = "reload";
			Pchar.quest.board_brig.win_condition.l1.locator = "reload6";
			Pchar.quest.board_brig.win_condition.l2 = "Time";
			Pchar.quest.board_brig.win_condition.l2.time = DAY_TIME_NIGHT;
			Pchar.quest.board_brig.win_condition = "rob_store2";
		break;

		case "rob_store2":
			PlaySound("AMBIENT\TOWN\window_dog.wav");
			logit("You broke the window and grabbed the map. Now RUN!");
			GiveItem2Character(PChar,"mapCuba");
			LAi_QuestDelay("guards_respond", 12.0);
		break;

		case "guards_respond":
			Rapid_Raid("soldiers", "None", 6, SPAIN, "enemy", "friend", "Someone heard that window break!", "Soldier", 2, 1, 55, 75, 4, 6, 0, 80, 1, 20);
		break;

		case "got_Cuba_map":
			if (checkquestattribute("payroll_ship", "active")) AddQuestRecord("Payroll Ship", 5);
			iForceDetectionFalseFlag = 0; // Restore normal false flag detection chances

// Enable sea access to Playa de Sierra Maestra once you have a map showing you where it is.
			Island_SetReloadEnableLocal("Cuba", "reload_8", true);
			Islands[FindIsland("Cuba")].reload.l7.goto_enable = true;

// Re-route Cuba_Jungle_04 to lead to normal Santiago exit, and open up Santiago exit to Cuba_Jungle_04.
// This allows you to walk between Santiago and Playa de Sierra Maestra.
			Locations[FindLocation("Santiago_town_exit1")].reload.l3.go = "Cuba_Jungle_04";
			Locations[FindLocation("Santiago_town_exit1")].reload.l3.emerge = "reload2_back";
			Locations[FindLocation("Santiago_town_exit1")].reload.l3.autoreload = "1";
			Locations[FindLocation("Santiago_town_exit1")].reload.l3.label = "Jungle";

			Locations[FindLocation("Cuba_Jungle_04")].reload.l4.go = "Santiago_town_exit1";
			Locations[FindLocation("Cuba_Jungle_04")].reload.l4.emerge = "reload1_back";
			Locations[FindLocation("Cuba_Jungle_04")].reload.l4.autoreload = "1";
			Locations[FindLocation("Cuba_Jungle_04")].reload.l4.label = "Santiago outskirts";
		break;

		case "nothing_in_Santiago":
			LAi_SetPlayerType(PChar);
			pchar.quest.after_night_Santiago_tavern.win_condition.l1 = "location";
			pchar.quest.after_night_Santiago_tavern.win_condition.l1.location = "Santiago_tavern_upstairs";
			pchar.quest.after_night_Santiago_tavern.win_condition = "after_night_Santiago_tavern";
		break;

		case "after_night_Santiago_tavern":
			if (!CheckCharacterItem(characterFromID("Jose Zugarro"), "mapCuba")) GiveItem2Character(characterFromID("Jose Zugarro"),"mapCuba");
			SetCharacterShipLocation(characterFromID("Spanish_Captain3"), "Santiago_port");
			PChar.quest.next_day_Santiago_port.win_condition.l1 = "location";
			PChar.quest.next_day_Santiago_port.win_condition.l1.location = "Santiago_port";
			PChar.quest.next_day_Santiago_port.win_condition = "next_day_Santiago_port";
		break;

		case "next_day_Santiago_port":
			Locations[FindLocation("Santiago_port")].reload.l2.disable = 1;
			DisableFastTravel(true);
			Pchar.quest.board_brig.win_condition.l1 = "locator";
			Pchar.quest.board_brig.win_condition.l1.location = "Santiago_port";
			Pchar.quest.board_brig.win_condition.l1.locator_group = "reload";
			Pchar.quest.board_brig.win_condition.l1.locator = "reload2_back";
			Pchar.quest.board_brig.win_condition = "board_brig";
			ChangeCharacterAddressGroup(characterFromID("Spanish_Captain3"), "Quest_ShipDeck4", "officers", "reload1_1");
		break;

		case "board_brig":
			DoQuestReloadToLocation("Quest_ShipDeck4", "goto", "goto1", "board_brig2");
		break;

		case "board_brig2":
			LAi_SetFightMode(PChar, false);
			LAi_LocationFightDisable(&Locations[FindLocation("Quest_ShipDeck4")], true);
			sld = LAi_CreateFantomCharacter(false, 0, true, true, 0.25, "sailor15", "officers", "reload1_2");
			sld.id = "scout";
			sld.old.name = "Hernan";
			sld.old.lastname = "Coelho";
			sld.name 	= TranslateString("","Hernan");
			sld.lastname 	= TranslateString("","Coelho");
			LAi_SetActorType(characterFromID("Spanish_Captain3"));
			Characters[GetCharacterIndex("Spanish_Captain3")].dialog.currentnode = "on_my_ship";
			LAi_ActorDialog(characterFromID("Spanish_Captain3"), PChar, "leave_brig", 5.0, 5.0);
		break;

		case "leave_brig":
			LAi_LocationFightDisable(&Locations[FindLocation("Santiago_port")], true);
			DoQuestReloadToLocation("Santiago_port", "reload", "reload2_back", "scout_leaves");
		break;

		case "scout_leaves":
			ChangeCharacterAddressGroup(characterFromID("Spanish_Captain3"), "Quest_Cabin", "goto", "goto2");
			sld = LAi_CreateFantomCharacter(false, 0, true, true, 0.25, "sailor15", "goto", "goto1");
			sld.id = "scout";
			sld.old.name = "Hernan";
			sld.old.lastname = "Coelho";
			sld.name 	= TranslateString("","Hernan");
			sld.lastname 	= TranslateString("","Coelho");
			LAi_SetActorType(characterFromID("scout"));
			LAi_ActorGoToLocator(characterFromID("scout"), "reload", "reload1", "",65.0);
			speaker = Get_Speaker();
			if (speaker != "")
			{
				crewid = characterFromID(speaker);
				crewidx = GetCharacterIndex(speaker);
				LAi_SetActorType(crewid);
				characters[crewidx].Dialog.Filename = "crew_dialog.c";
				Characters[crewidx].Dialog.CurrentNode = "follow_him";
				LAi_ActorDialog(crewid, pchar, "scout_leaves2", 5.0, 5.0);
			}
		break;

		case "scout_leaves2":
			LAi_LocationFightDisable(&Locations[FindLocation("Santiago_port")], false);
			for (n=1; n<4; n++)
			{
				if(GetOfficersIndex(Pchar, n) != -1)
				{
					LAi_SetActorType(CharacterFromId(characters[GetOfficersIndex(Pchar, n)].id));
					LAi_ActorGoToLocator(characters[GetOfficersIndex(Pchar, n)], "reload", "reload1", "",65.0);
				}
			}
			LAi_SetActorType(PChar);
			LAi_ActorGoToLocator(PChar, "goto", "goto8", "wait_for_crew", 65.0);
		break;

		case "wait_for_crew":
			for (n=1; n<4; n++)
			{
				if(GetOfficersIndex(Pchar, n) != -1)
				{
					ChangeCharacterAddress(characters[GetOfficersIndex(Pchar, n)], "None", "");
				}
			}
			ChangeCharacterAddress(characterFromID("scout"), "None", "");
			StoreOfficers(PChar.id);
//			LAi_Fade("", "");
			n = rand(44) + 15;
			WaitDate("", 0, 0, 0, 0, n);
			LAi_QuestDelay("watch_crew", 0.5);
		break;

		case "watch_crew":
			LAi_ActorTurnToLocator(PChar, "reload", "reload2_back");

			sld = LAi_CreateFantomCharacter(false, 0, true, true, 0.25, "Sailor1", "reload", "reload2_back");
			sld.id = "brig_crew1";
			LAi_SetActorType(characterFromID("brig_crew1"));
			LAi_ActorRunToLocation(characterFromID("brig_crew1"), "reload", "reload1", "none", "", "", "", 30.0);

			sld = LAi_CreateFantomCharacter(false, 0, true, true, 0.25, "Sailor2", "reload", "reload2_back");
			sld.id = "brig_crew2";
			LAi_SetActorType(characterFromID("brig_crew2"));
			LAi_ActorRunToLocation(characterFromID("brig_crew2"), "reload", "reload1", "none", "", "", "", 30.0);

			sld = LAi_CreateFantomCharacter(false, 0, true, true, 0.25, "Sailor3", "reload", "reload2_back");
			sld.id = "brig_crew3";
			LAi_SetActorType(characterFromID("brig_crew3"));
			LAi_ActorRunToLocation(characterFromID("brig_crew3"), "reload", "reload1", "none", "", "", "", 30.0);

			sld = LAi_CreateFantomCharacter(false, 0, true, true, 0.25, "Sailor5", "reload", "reload2_back");
			sld.id = "brig_crew4";
			LAi_SetActorType(characterFromID("brig_crew4"));
			LAi_ActorRunToLocation(characterFromID("brig_crew4"), "reload", "reload1", "none", "", "", "", 30.0);

			Pchar.quest.deck_battle.win_condition.l1 = "locator";
			Pchar.quest.deck_battle.win_condition.l1.location = "Santiago_port";
			Pchar.quest.deck_battle.win_condition.l1.locator_group = "reload";
			Pchar.quest.deck_battle.win_condition.l1.locator = "reload2_back";
			Pchar.quest.deck_battle.win_condition = "attack_brig";
			LAi_QuestDelay("watch_crew2", 1.0);
		break;

		case "watch_crew2":
			LAi_SetPlayerType(PChar);
			LAi_QuestDelay("crew_running", 0.0);
		break;

		case "crew_running":
			Pchar.dialog.CurrentNode = "attack_brig";
			LAi_SetActorType(PChar);
			LAi_ActorSelfDialog(PChar, "crew_running2");
		break;

		case "crew_running2":
			LAi_SetPlayerType(PChar);
		break;

		case "attack_brig":
			DoQuestReloadToLocation("Quest_ShipDeck4", "goto", "goto1", "deck_battle");
		break;

		case "deck_battle":
			LAi_LocationFightDisable(&Locations[FindLocation("Quest_ShipDeck4")], false);
			sld = LAi_CreateFantomCharacter(false, 0, true, true, 0.25, "sailor6", "officers", "reload1_3");
			GiveItem2Character(sld,"blade4");
			EquipCharacterByItem(sld,"blade4");
			LAi_SetHP(sld, 120.0, 120.0);
			LAi_group_MoveCharacter(sld, "CARGO_SOLDIERS");
			sld.id = "ship_guard1";

			sld = LAi_CreateFantomCharacter(false, 0, true, true, 0.25, "bocman8", "reload", "reload1");
			GiveItem2Character(sld,"blade4");
			EquipCharacterByItem(sld,"blade4");
			GiveItem2Character(sld, "Pistol2");
			EquipCharacterByItem(sld,"Pistol2");
			if (ENABLE_AMMOMOD) {	// LDH change
				TakenItems(sld, "gunpowder", 1 + rand(2));
				TakenItems(sld, "pistolbullets", 1 + rand(2));
			}
			LAi_SetHP(sld, 180.0, 180.0);
			LAi_group_MoveCharacter(sld, "CARGO_SOLDIERS");
			sld.id = "ship_guard2";

			LAi_group_FightGroups("CARGO_SOLDIERS", LAI_GROUP_PLAYER, true);
			LAi_group_SetCheck("CARGO_SOLDIERS", "deck_won");
		break;

		case "deck_won":
			Locations[FindLocation("Quest_Cabin")].reload.l1.disable = 1;
//			DoQuestReloadToLocation("Quest_Cabin", "reload", "reload1", "cabin_duel");
			PChar.quest.cabin_duel.win_condition.l1 = "location";
			PChar.quest.cabin_duel.win_condition.l1.location = "Quest_Cabin";
			PChar.quest.cabin_duel.win_condition = "cabin_duel";
		break;

		case "cabin_duel":
			LAi_SetFightMode(PChar, false);
			LAi_SetActorType(characterFromID("Spanish_Captain3"));
			Characters[GetCharacterIndex("Spanish_Captain3")].dialog.currentnode = "First time";
			LAi_ActorDialog(characterFromID("Spanish_Captain3"), PChar, "cabin_duel2", 5.0, 5.0);
		break;

		case "cabin_duel2":
//			LAi_SetFightMode(PChar, true);
			LAi_group_MoveCharacter(characterFromID("Spanish_Captain3"), "CARGO_SOLDIERS");
			LAi_group_FightGroups("CARGO_SOLDIERS", LAI_GROUP_PLAYER, true);
			LAi_group_SetCheck("CARGO_SOLDIERS", "find_papers");
		break;

		case "find_papers":
			LAi_SetFightMode(PChar, false);
			Pchar.dialog.CurrentNode = "find_papers";
			LAi_SetActorType(PChar);
			LAi_ActorSelfDialog(PChar, "ship_is_ours");
		break;

		case "ship_is_ours":
			LAi_SetPlayerType(PChar);
			Locations[FindLocation("Quest_Cabin")].reload.l1.disable = 0;
			Locations[FindLocation("Santiago_port")].reload.l2.disable = 0;
			GiveShip2Character(PChar,"Shnyava2","Tonina",CANNON_TYPE_CARRONADE_LBS12,SPAIN,false,true);
			makearef(arShip, PChar.ship.stats);
			arship.MaxCrew = 85;
			arship.MaxCaliber = 6;
			SetCrewQuantity(PChar, sti(PChar.quest.crew_left));
			DeleteQuestAttribute("crew_left");
			PChar.quest.ship_is_ours2.win_condition.l1 = "location";
			PChar.quest.ship_is_ours2.win_condition.l1.location = "Quest_ShipDeck4";
			PChar.quest.ship_is_ours2.win_condition = "ship_is_ours2";
		break;

		case "ship_is_ours2":
			LAi_SetFightMode(PChar, false);
			LAi_LocationFightDisable(&Locations[FindLocation("Quest_ShipDeck4")], true);
			Locations[FindLocation("Quest_ShipDeck4")].reload.l1.disable = 1;
			sld = LAi_CreateFantomCharacter(false, 0, true, true, 0.25, Nations[SPAIN].fantomModel.m1, "goto", "goto3");
			GiveItem2Character(sld,"blade4");
			EquipCharacterByItem(sld,"blade4");
			LAi_SetHP(sld, 180.0, 180.0);
			LAi_group_MoveCharacter(sld, "CARGO_SOLDIERS");
			sld.id = "ship_guard1";

			sld = LAi_CreateFantomCharacter(false, 0, true, true, 0.25, Nations[SPAIN].fantomModel.m2, "goto", "goto4");
			GiveItem2Character(sld,"blade4");
			EquipCharacterByItem(sld,"blade4");
			LAi_SetHP(sld, 180.0, 180.0);
			LAi_group_MoveCharacter(sld, "CARGO_SOLDIERS");
			sld.id = "ship_guard2";

			LAi_SetActorType(characterFromID("ship_guard1"));
			characters[GetCharacterIndex("ship_guard1")].Dialog.Filename = "guard_dialog.c";
			Characters[GetCharacterIndex("ship_guard1")].dialog.CurrentNode = "snow_brig_check";
			LAi_ActorDialog(characterFromID("ship_guard1"), PChar, "", 10.0, 10.0); // Exits to "back_to_prison" or "ship_is_ours3"

		break;

		case "ship_is_ours3":
			DisableFastTravel(false);
			LAi_SetFightMode(PChar, false);
			LAi_LocationFightDisable(&Locations[FindLocation("Quest_ShipDeck4")], false);
			Locations[FindLocation("Quest_ShipDeck4")].reload.l1.disable = 0;
			if(AUTO_SKILL_SYSTEM)
			{
				AddPartyExpChar(pchar, "Leadership", 1500);
				AddPartyExpChar(pchar, "Fencing", 50);
			}
			else {AddPartyExp(pchar, 1500);}
			if (checkquestattribute("payroll_ship", "active")) AddQuestRecord("Payroll Ship", 6);
			RestoreOfficers(PChar.id);
			DoQuestReloadToLocation("Santiago_port", "reload", "reload2_back", "restore_officers");
		break;

		case "restore_officers":
			sld = LAi_CreateFantomCharacter(false, 0, true, true, 0.25, "Sailor1", "reload", "reload1");
			LAi_group_MoveCharacter(sld, "QC_SOLDIERS");
			sld.id = "sailor1";
			sld = LAi_CreateFantomCharacter(false, 0, true, true, 0.25, "Sailor2", "reload", "reload1");
			LAi_group_MoveCharacter(sld, "QC_SOLDIERS");
			sld.id = "sailor2";
			sld = LAi_CreateFantomCharacter(false, 0, true, true, 0.25, "Sailor3", "reload", "reload1");
			LAi_group_MoveCharacter(sld, "QC_SOLDIERS");
			sld.id = "sailor3";
			sld = LAi_CreateFantomCharacter(false, 0, true, true, 0.25, "Sailor5", "reload", "reload1");
			LAi_group_MoveCharacter(sld, "QC_SOLDIERS");
			sld.id = "sailor4";
			sld = LAi_CreateFantomCharacter(false, 0, true, true, 0.25, "bocman10", "reload", "reload1");
			LAi_group_MoveCharacter(sld, "QC_SOLDIERS");
			sld.id = "sailor5";
			sld = LAi_CreateFantomCharacter(false, 0, true, true, 0.25, "bocman16", "reload", "reload1");
			LAi_group_MoveCharacter(sld, "QC_SOLDIERS");
			sld.id = "sailor6";
			LAi_group_FightGroups("QC_SOLDIERS", LAI_GROUP_PLAYER, true);

			speaker = Get_Speaker();
			if (speaker != "")
			{
				crewid = characterFromID(speaker);
				crewidx = GetCharacterIndex(speaker);
				LAi_SetActorType(crewid);
				characters[crewidx].Dialog.Filename = "crew_dialog.c";
				Characters[crewidx].Dialog.CurrentNode = "crew_returning";
				LAi_ActorDialog(crewid, pchar, "crew_returning", 5.0, 5.0);
			}
			else logit ("That looks like the original crew returning. Better get aboard and get out of here!");
		break;

		case "crew_returning":
			for (n=1; n<4; n++)
			{
				if(GetOfficersIndex(Pchar, n) != -1) LAi_SetOfficerType(CharacterFromId(characters[GetOfficersIndex(Pchar, n)].id));
			}
		break;

		case "payroll_ship_sails":
			if (CheckCharacterItem(PChar, "mapCuba")) AddQuestRecord("Payroll Ship", 7);
			else AddQuestRecord("Payroll Ship", 10);
			PChar.quest.payroll_ship_timer2.win_condition.l1 = "Timer";
			PChar.quest.payroll_ship_timer2.win_condition.l1.date.day = GetAddingDataDay(0, 0, 14);
			PChar.quest.payroll_ship_timer2.win_condition.l1.date.month = GetAddingDataMonth(0, 0, 14);
			PChar.quest.payroll_ship_timer2.win_condition.l1.date.year = GetAddingDataYear(0, 0, 14);
			PChar.quest.payroll_ship_timer2.win_condition = "payroll_ship_arrives";

			PChar.quest.ready_for_payroll_ship.win_condition.l1 = "location";
			PChar.quest.ready_for_payroll_ship.win_condition.l1.location = "Cuba_Shore_05";
			PChar.quest.ready_for_payroll_ship.win_condition = "ready_for_payroll_ship";
		break;

		case "ready_for_payroll_ship":
			GiveShip2Character(characterFromID("Spanish_Captain2"),"SP_CastelF","Siroco",-1,SPAIN,true,true);			
			speaker = Get_Speaker();
			if (speaker != "")
			{
				crewid = characterFromID(speaker);
				crewidx = GetCharacterIndex(speaker);
				LAi_SetActorType(crewid);
				characters[crewidx].Dialog.Filename = "crew_dialog.c";
				Characters[crewidx].Dialog.CurrentNode = "ready_for_payroll_ship";
				LAi_ActorDialog(crewid, pchar, "ready_for_payroll_ship2", 5.0, 5.0);
			}
			else
			{
				logit("Now to wait for the 'Siroco'...");
				LAi_QuestDelay("ready_for_payroll_ship3", 0.0);
			}
			PChar.quest.payroll_ship_timer2.over = "yes";
		break;

		case "ready_for_payroll_ship2":
			for (n=1; n<4; n++)
			{
				if(GetOfficersIndex(Pchar, n) != -1) LAi_SetOfficerType(CharacterFromId(characters[GetOfficersIndex(Pchar, n)].id));
			}
			WaitDate("", 0, 0, 3 + rand(7), 0, 0);
			SetCurrentTime(rand(23), rand(59));
			LAi_Fade("", "");
//			LAi_QuestDelay("ready_for_payroll_ship3", 2.0);
			DoQuestReloadToLocation("Cuba_Shore_05", "reload", "reload1", "ready_for_payroll_ship3");
		break;

		case "ready_for_payroll_ship3":
			speaker = Get_Speaker();
			if (speaker != "")
			{
				crewid = characterFromID(speaker);
				crewidx = GetCharacterIndex(speaker);
				LAi_SetActorType(crewid);
				characters[crewidx].Dialog.Filename = "crew_dialog.c";
				Characters[crewidx].Dialog.CurrentNode = "payroll_ship_in_sight";
				LAi_ActorDialog(crewid, pchar, "payroll_ship_in_sight", 5.0, 5.0);
			}
		break;

		case "payroll_ship_in_sight":
			for (n=1; n<4; n++)
			{
				if(GetOfficersIndex(Pchar, n) != -1) LAi_SetOfficerType(CharacterFromId(characters[GetOfficersIndex(Pchar, n)].id));
			}
			Pchar.quest.payroll_ship_setup.win_condition.l1 = "location";
			Pchar.quest.payroll_ship_setup.win_condition.l1.location = "Cuba";
			Pchar.quest.payroll_ship_setup.win_condition = "payroll_ship_setup";
			if (IsInParty(GetMainCharacterIndex(), GetCharacterIndex("Two Dogs"))) LAi_SetImmortal(characterFromID("Two Dogs"), true);
		break;

		case "payroll_ship_setup":
			Group_CreateGroup("payroll_ship");
			Group_AddCharacter("payroll_ship", "Spanish_Captain2");
			Group_SetGroupCommander("payroll_ship", "Spanish_Captain2");

			Group_SetPursuitGroup("payroll_ship", PLAYER_GROUP);
			Group_SetTaskAttack("payroll_ship",  PLAYER_GROUP, true);
			Group_LockTask("payroll_ship");
			Group_SetAddress("payroll_ship", "Hispaniola", "ships_other", "ship_8");
			Sea_LoginGroupNow("payroll_ship");
			characters[GetCharacterIndex("Spanish_Captain2")].nosurrender = 2;
			SetCharacterRelationBoth(GetCharacterIndex("payroll_ship"),GetMainCharacterIndex(),RELATION_ENEMY);

			pchar.quest.payroll_ship_taken.win_condition.l1 = "Character_Capture";
			pchar.quest.payroll_ship_taken.win_condition.l1.character = "Spanish_Captain2";
			pchar.quest.payroll_ship_taken.win_condition.l2 = "SeaEnter";
			pchar.quest.payroll_ship_taken.win_condition = "payroll_ship_taken";
			pchar.quest.payroll_ship_taken1.win_condition.l1 = "NPC_Death";
			pchar.quest.payroll_ship_taken1.win_condition.l1.character = "Spanish_Captain2";
			pchar.quest.payroll_ship_taken1.win_condition.l2 = "SeaEnter";
			pchar.quest.payroll_ship_taken1.win_condition = "payroll_ship_taken";
		break;

		case "payroll_ship_taken":
			if (IsInParty(GetMainCharacterIndex(), GetCharacterIndex("Two Dogs"))) LAi_SetImmortal(characterFromID("Two Dogs"), false);
			if(AUTO_SKILL_SYSTEM)
			{
				AddPartyExpChar(pchar, "Leadership", 2000);
				AddPartyExpChar(pchar, "Sneak", 100);
			}
			else {AddPartyExp(pchar, 1500);}
			AddMoneyToCharacter(pchar, 10000);
			AddQuestRecord("Payroll Ship", 9);
			CloseQuestHeader("Payroll Ship");
		break;

		case "payroll_ship_arrives":
			AddQuestRecord("Payroll Ship", 8);
			CloseQuestHeader("Payroll Ship");
		break;

		case "two_dogs_is_home":
			PChar.quest.two_dogs_dead.over = "yes";
			LAi_SetActorType(characterFromID("Two Dogs"));
			RemoveOfficersIndex(pchar, GetCharacterIndex("Two Dogs"));
			RemovePassenger(pchar, characterFromID("Two Dogs"));
			ChangeCharacterAddressGroup(characterFromID("Two Dogs"), "Quest_Indian_house", "goto", "goto4");

			LAi_SetActorType(characterFromID("Quest_Chief_Indian1"));
			Characters[GetCharacterIndex("Quest_Chief_Indian1")].dialog.CurrentNode = "two_dogs_home";
			LAi_ActorDialog(characterFromID("Quest_Chief_Indian1"),PChar,"two_dogs_is_home2",5.0,5.0);
		break;

		case "two_dogs_is_home2":
			DeleteQuestAttribute("take_two_dogs_home");
			LAi_SetGuardianType(characterFromID("Quest_Chief_Indian1"));
			LAi_SetActorType(characterFromID("Two Dogs"));
			Characters[GetCharacterIndex("Two Dogs")].dialog.CurrentNode = "embarrassing_name";
			LAi_ActorDialogNow(characterFromID("Two Dogs"),PChar,"two_dogs_is_home3",2.0);
		break;

		case "two_dogs_is_home3":
			if (PChar.quest.alignment == "good")
			{
				ChangeCharacterReputation(pchar, 5);
				AddQuestRecord("Take Two Dogs Home", 5);
			}
			else
			{
				AddQuestRecord("Take Two Dogs Home", 6);
				characters[GetCharacterIndex("Two Dogs")].lastname = TranslateString("","not-Fighting");
			}
			CloseQuestHeader("Take Two Dogs Home");
			LAi_SetActorType(characterFromID("Two Dogs"));
			LAi_ActorGoToLocator(characterFromID("Two Dogs"), "goto", "goto3", "two_dogs_is_home4", 5.0);
		break;

		case "two_dogs_is_home4":
			LAi_SetGuardianType(characterFromID("Two Dogs"));
		break;


		case "test":
logit("You have been diverted here for test purposes. Normal service will be resumed as soon as possible.");
		break;

		PChar.questnotfound = true; // PB: Testing
	}
}

string Get_Speaker()
{
	ref PChar = GetMainCharacter();
	string speaker = "";
	if(GetOfficersIndex(PChar, 3) != -1)
	{
		speaker = characters[GetOfficersIndex(Pchar, 3)].id;
	}
	if(GetOfficersIndex(Pchar, 2) != -1)
	{
		speaker = characters[GetOfficersIndex(Pchar, 2)].id;
	}
	if(GetOfficersIndex(Pchar, 1) != -1)
	{
		speaker = characters[GetOfficersIndex(Pchar, 1)].id;
	}
	return speaker;
}